import React, { ReactNode } from 'react';
export interface IVarCategoryProps {
    /**
     * Category label.
     */
    label: ReactNode;
    /**
     * Additional class names on the wrapping div element.
     */
    className?: string;
    /**
     * Allows the category to be collapsed if true.
     */
    collapsible?: boolean;
    children?: React.ReactNode;
}
/**
 * Category component for grouping inputs.
 */
export declare const VarCategory: ({ label, className, children, collapsible, }: IVarCategoryProps) => JSX.Element;
