/// <reference types="react" />
import { IVarBaseInputProps } from './VarBase';
export interface IVarMediaProps extends IVarBaseInputProps<string> {
    /**
     * Whether the component should accept image/* files.
     */
    acceptImage?: boolean;
    /**
     * Whether the component should accept audio/* files.
     */
    acceptAudio?: boolean;
    /**
     * Whether the component should accept video/* files.
     */
    acceptVideo?: boolean;
}
/**
 * Media (audio/video/image) input component. Accepts and provides a blob URL.
 *
 * If acceptImage, acceptAudio and acceptVideo are all false, the component will accept all 3.
 */
export declare const VarMedia: ({ label, path, value, onChange, disabled, readOnly, className, acceptImage, acceptAudio, acceptVideo, error, errorPath, }: IVarMediaProps) => JSX.Element;
