/// <reference types="react" />
import { IVarBaseInputProps } from './VarBase';
export interface IVarNumberProps extends IVarBaseInputProps<number> {
    /**
     * Minimum value.
     */
    min?: number;
    /**
     * Maximum value.
     */
    max?: number;
    /**
     * Step.
     */
    step?: number;
    /**
     * Should the end result be rounded to an integer value.
     */
    integer?: boolean;
    /**
     * If true will display buttons that increase and decrease the value by step.
     * Step must be set.
     */
    showButtons?: boolean;
    /**
     * Unit to display to the right of the input field.
     */
    unit?: string;
}
/**
 * Integer/float number component. Accepts and provides numbers.
 */
export declare const VarNumber: ({ label, path, value, onChange, min, max, step, integer, showButtons, disabled, readOnly, className, error, errorPath, unit, }: IVarNumberProps) => JSX.Element;
