/// <reference types="react" />
import { IVarBaseInputProps } from './VarBase';
export interface IVarSliderProps extends IVarBaseInputProps<number> {
    /**
     * Minimum value.
     */
    min: number;
    /**
     * Maximum value.
     */
    max: number;
    /**
     * Step.
     */
    step: number;
    /**
     * Minimum value (for the input field, if not defined, will use `min`).
     */
    inputMin?: number;
    /**
     * Maximum value (for the input field, if not defined, will use `max`).
     */
    inputMax?: number;
    /**
     * Step (for the input field, if not defined, will use `step`).
     */
    inputStep?: number;
    /**
     * Should the end result be rounded to an integer value.
     */
    integer?: boolean;
    /**
     * If true will display an editable input, otherwise shows a read only value.
     */
    showInput?: boolean;
    /**
     * If true will display buttons that increase and decrease the value by step.
     */
    showButtons?: boolean;
    /**
     * Unit to display to the right of the input field.
     */
    unit?: string;
}
/**
 * Integer/float slider component. Accepts and provides numbers.
 */
export declare const VarSlider: ({ label, path, value, onChange, min, max, step, inputMin, inputMax, inputStep, integer, defaultValue, showInput, showButtons, disabled, readOnly, className, error, errorPath, unit, }: IVarSliderProps) => JSX.Element;
