/// <reference types="react" />
export interface IVarUIContext {
    values: any;
    getValue: (path?: string) => any;
    setValue: (path: string, value: any) => void;
    getError: (path?: string) => any;
}
export declare const VarUIContext: import("react").Context<IVarUIContext | undefined>;
export interface UseVarUIValueOptions<T> {
    path?: string;
    fallbackValue?: T;
    onChange?: (value: T) => void;
    errorPath?: string;
    error?: string;
}
/**
 * Simple function used for custom input components.
 * @param path
 * @param fallbackValue
 * @param onChange
 * @returns [value: T, setValue: (value: T) => void]
 */
export declare function useVarUIValue<T>({ path, fallbackValue, onChange, errorPath, error, }: UseVarUIValueOptions<T>): [T, (value: T) => void, string | undefined];
